# Kinetis Bootloader Host: elftosb::MessageStatementASTNode Class Reference

elftosb::MessageStatementASTNode Class Reference

Statement to print a message to the elftosb user. More...

`#include <ElftosbAST.h>`

Inheritance diagram for elftosb::MessageStatementASTNode:
[legend]
Collaboration diagram for elftosb::MessageStatementASTNode:
[legend]

## Public Types

enum | _message_type { kInfo, kWarning, kError }
typedef enum _message_type | message_type_t

## Public Member Functions

| MessageStatementASTNode (message_type_t messageType, std::string *message)
| MessageStatementASTNode (const MessageStatementASTNode &other)
virtual ASTNode * | clone () const
| Returns an exact duplicate of this object.
virtual std::string | nodeName () const
| Returns the name of the object's class.
virtual void | printTree (int indent) const
message_type_t | getType ()
std::string * | getMessage ()
const char * | getTypeName () const
Public Member Functions inherited from elftosb::StatementASTNode
| StatementASTNode (const StatementASTNode &other)
Public Member Functions inherited from elftosb::ASTNode
| ASTNode ()
| Default constructor.
| ASTNode (ASTNode *parent)
| Constructor taking a parent node.
| ASTNode (const ASTNode &other)
| Copy constructor.
virtual | ~ASTNode ()
| Destructor.
virtual ASTNode * | getParent () const
virtual void | setParent (ASTNode *newParent)
virtual void | printTree () const
virtual void | setLocation (token_loc_t &loc)
virtual void | setLocation (token_loc_t &first, token_loc_t &last)
virtual void | setLocation (ASTNode *loc)
virtual void | setLocation (ASTNode *first, ASTNode *last)
virtual token_loc_t & | getLocation ()
virtual const token_loc_t & | getLocation () const
virtual int | getFirstLine ()
virtual int | getLastLine ()

## Protected Attributes

message_type_t | m_type
smart_ptr< std::string > | m_message
| Message to report.
Protected Attributes inherited from elftosb::ASTNode
ASTNode * | m_parent
| Pointer to parent node of this object. May be NULL.
token_loc_t | m_location
| Location of this node in the source file.

## Additional Inherited Members

Protected Member Functions inherited from elftosb::ASTNode
void | printIndent (int indent) const
| Prints indent number of spaces.

## Detailed Description

Statement to print a message to the elftosb user.

## Member Enumeration Documentation

enum elftosb::MessageStatementASTNode::_message_type

Enumerator
kInfo | Prints an informational messag to the user.
kWarning | Prints a warning to the user.
kError | Throws an error exception.

The documentation for this class was generated from the following files:

- ElftosbAST.h
- ElftosbAST.cpp